Bug 1049922 - Failure when adding new record: "Error while adding record: no available memory"
Summary: Failure when adding new record: "Error while adding record: no available memory"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Chris Leech
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1001705 1066116
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-08 13:45 UTC by Nikola Dipanov
Modified: 2016-04-22 05:02 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1001705
Environment:
Last Closed: 2015-06-29 14:15:32 UTC
Type: Bug


Attachments (Terms of Use)

Comment 1 Nikola Dipanov 2014-01-08 14:08:07 UTC
Got this while testing openstack Nova on Fedora 20

openstack-nova-compute-2014.1-0.5.b1.fc21.noarch
iscsi-initiator-utils-6.2.0.873-12.fc20.x86_64

Here is the original exception in nova-compute.log:

2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6] Traceback (most recent call last):
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 1460, in _spawn
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     block_device_info)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 2162, in spawn
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     write_to_disk=True)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 3227, in to_xml
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     disk_info, rescue, block_device_info)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 3104, in get_guest_config
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     inst_type):
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 2919, in get_guest_storage_config
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     info)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 1120, in volume_driver_method
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     return method(connection_info, *args, **kwargs)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/openstack/common/lockutils.py", line 248, in inner
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     return f(*args, **kwargs)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/volume.py", line 291, in connect_volume
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     self._connect_to_iscsi_portal(iscsi_properties)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/volume.py", line 423, in _connect_to_iscsi_portal
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     self._reconnect(iscsi_properties)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/volume.py", line 556, in _reconnect
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     self._run_iscsiadm(iscsi_properties, ('--op', 'new'))
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/volume.py", line 248, in _run_iscsiadm
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     check_exit_code=check_exit_code)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/utils.py", line 175, in execute
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     return processutils.execute(*cmd, **kwargs)
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]   File "/usr/lib/python2.7/site-packages/nova/openstack/common/processutils.py", line 178, in execute
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]     cmd=' '.join(cmd))
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6] ProcessExecutionError: Unexpected error while running command.
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6] Command: sudo nova-rootwrap /etc/nova/rootwrap.conf iscsiadm -m node -T iqn.2010-10.org.openstack:volume-2d7aba9e-9b36-4776-b8a4-dc3d5c2d128e -p 192.168.123.131:3260 --op new
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6] Exit code: 3
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6] Stdout: ''
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6] Stderr: 'iscsiadm: Error while adding record: no available memory\n'
2014-01-08 13:37:10.084 20356 TRACE nova.compute.manager [instance: f439df47-832f-472c-93ad-15445bbb01f6]

Previously succesfull commands seem to be

2014-01-08 13:37:09.253 20356 DEBUG nova.openstack.common.processutils [req-b3396417-d490-4e43-9e67-6796b0875449 b6bcd87e39334965952ddd64696801b3 695fb1f2b70a45628f31dbd3a47216c8] Running cmd (subprocess): sudo nova-rootwrap /etc/nova/rootwrap.conf iscsiadm -m node -T iqn.2010-10.org.openstack:volume-2d7aba9e-9b36-4776-b8a4-dc3d5c2d128e -p 192.168.123.131:3260 execute /usr/lib/python2.7/site-packages/nova/openstack/common/processutils.py:147

2014-01-08 13:37:09.455 20356 DEBUG nova.openstack.common.processutils [req-b3396417-d490-4e43-9e67-6796b0875449 b6bcd87e39334965952ddd64696801b3 695fb1f2b70a45628f31dbd3a47216c8] Running cmd (subprocess): sudo nova-rootwrap /etc/nova/rootwrap.conf iscsiadm -m node -T iqn.2010-10.org.openstack:volume-2d7aba9e-9b36-4776-b8a4-dc3d5c2d128e -p 192.168.123.131:3260 --op new execute /usr/lib/python2.7/site-packages/nova/openstack/common/processutils.py:147

Comment 2 Fedora End Of Life 2015-05-29 10:23:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:15:32 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.